
Calamari - Bug #11559

Error with calamari_osd_location

05/07/2015 11:13 AM - Yannick Van Styvendael

Status: Resolved % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee: Christina Meno   

Category: Backend (services)   

Target version: 1.3-rc1   

Source: other Reviewed:  

Tags:  Affected Versions: 1.3-rc1

Backport:  ceph-qa-suite: ceph-deploy, rados, rgw,

upgrade/hammer

Regression: No Crash signature (v1):  

Severity: 1 - critical Crash signature (v2):  

Description

Hi,

I installed successfully the Calamari server running on an Ubuntu 12.04.5.

The ceph cluster is installed on a Red Hat 6.3.

I installed the salt and diamond stuff. When a restart the ceph services, I got this message :

ERROR:calamari_osd_location:Error 2 running ceph config-key get:'Error ENOENT: error obtaining

'daemon-private/osd.0/v1/calamari/osd_crush_location': (2) No such file or directory'

ERROR:calamari_osd_location:Error 2 running ceph config-key get:'Error ENOENT: error obtaining

'daemon-private/osd.0/v1/calamari/osd_crush_location': (2) No such file or directory'

I also receive this error when I run the command /usr/bin/calamari-crush-location

[root@UAT1 ~]# /usr/bin/calamari-crush-location --id 0 --type osd

ERROR:calamari_osd_location:Error 2 running ceph config-key get:'Error ENOENT: error obtaining

'daemon-private/osd.0/v1/calamari/osd_crush_location': (2) No such file or directory'

ERROR:calamari_osd_location:Error 2 running ceph config-key get:'Error ENOENT: error obtaining

'daemon-private/osd.0/v1/calamari/osd_crush_location': (2) No such file or directory'

host=UAT1

So on Calamari WebApp, I do not have any cluster detected.

1 Ceph servers are connected to Calamari, but no Ceph cluster has been created yet. Please use ceph-deploy to create a cluster;

please see the Inktank Ceph Enterprise

Associated revisions

Revision 7227ee4b - 05/26/2015 05:13 PM - Gregory Meno 

calamari: fix getting previous CRUSH location

Fixes #11559

Signed-off-by: Gregory Meno <gmeno@redhat.com>

Revision 78628542 - 08/19/2015 04:54 PM - Gregory Meno 

calamari: fix getting previous CRUSH location

Fixes #11559

Signed-off-by: Gregory Meno <gmeno@redhat.com>

(cherry picked from commit 7227ee4be9e345a4e9acdba1ff867b31e13f2414)
History

#1 - 05/15/2015 10:59 PM - Christina Meno

I agree this is a serious issue. I will look into it.

Would you please tell me a little more about your setup.

Is this a new calamari install or an upgrade?

Can you tell me what version of ceph your cluster is running?

#2 - 05/16/2015 08:27 PM - Yannick Van Styvendael

Hi,

The Calamari install is a new one.

The Ceph cluster is running latest version (Hammer - 0.94.1)

Kind regards,

yannick

#3 - 05/22/2015 07:28 PM - Christina Meno

reproduced. I will begin a fix now.

[ubuntu@vpm041 ~]$ sudo service ceph start osd === osd.0 ===

Starting Ceph osd.0 on vpm041...already running === osd.0 ===

Starting Ceph osd.0 on vpm041...already running

[ubuntu@vpm041 ~]$ sudo service ceph restart osd === osd.0 ===  === osd.0 ===

Stopping Ceph osd.0 on vpm041...kill 24563...kill 24563...done === osd.0 ===

ERROR:calamari_osd_location:Error 2 running ceph config-key get:'Error ENOENT: error obtaining

'daemon-private/osd.0/v1/calamari/osd_crush_location': (2) No such file or directory'

ERROR:calamari_osd_location:Error 2 running ceph config-key get:'Error ENOENT: error obtaining

'daemon-private/osd.0/v1/calamari/osd_crush_location': (2) No such file or directory'

create-or-move updated item name 'osd.0' weight 0.19 at location {host=vpm041} to crush map

Starting Ceph osd.0 on vpm041...

Running as unit run-6296.service.

[ubuntu@vpm041 ~]$

#4 - 05/25/2015 07:58 PM - Christina Meno

- Category set to Backend (services)

- Status changed from New to In Progress

- Assignee set to Christina Meno

- Target version set to 1.3-rc1

#5 - 06/01/2015 06:37 PM - Christina Meno

- Status changed from In Progress to Resolved
